
package com.tmerclub.cloud.supplier.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 供应商钱包信息VO
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
public class SupplierWalletVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商钱包id")
    private Long supplierWalletId;

    @Schema(description = "供应商ID")
    private Long supplierId;

    @Schema(description = "供应商名称")
    private String supplierName;

    @Schema(description = "未结算金额（用户支付）")
    private Long unsettledAmount;

    @Schema(description = "已结算金额（用户确认收货后，可以提现）")
    private Long settledAmount;

    @Schema(description = "冻结金额（用户确认收货）")
    private Long freezeAmount;

    @Schema(description = "累积结算金额")
    private Long totalSettledAmount;

    @Schema(description = "乐观锁")
    private Long version;

    public Long getSupplierWalletId() {
        return supplierWalletId;
    }

    public void setSupplierWalletId(Long supplierWalletId) {
        this.supplierWalletId = supplierWalletId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public Long getUnsettledAmount() {
        return unsettledAmount;
    }

    public void setUnsettledAmount(Long unsettledAmount) {
        this.unsettledAmount = unsettledAmount;
    }

    public Long getSettledAmount() {
        return settledAmount;
    }

    public void setSettledAmount(Long settledAmount) {
        this.settledAmount = settledAmount;
    }

    public Long getFreezeAmount() {
        return freezeAmount;
    }

    public void setFreezeAmount(Long freezeAmount) {
        this.freezeAmount = freezeAmount;
    }

    public Long getTotalSettledAmount() {
        return totalSettledAmount;
    }

    public void setTotalSettledAmount(Long totalSettledAmount) {
        this.totalSettledAmount = totalSettledAmount;
    }

    public Long getVersion() {
        return version;
    }

    public void setVersion(Long version) {
        this.version = version;
    }

    @Override
    public String toString() {
        return "SupplierWalletVO{" +
                "supplierWalletId=" + supplierWalletId +
                ", supplierId=" + supplierId +
                ", supplierName='" + supplierName + '\'' +
                ", unsettledAmount=" + unsettledAmount +
                ", settledAmount=" + settledAmount +
                ", freezeAmount=" + freezeAmount +
                ", totalSettledAmount=" + totalSettledAmount +
                ", version=" + version +
                '}';
    }
}
